org.eclipse.eef.core.api.controllers

## Class InvalidValidationRuleResultData

- java.lang.Object
- - org.eclipse.eef.core.api.controllers.InvalidValidationRuleResultData

    public class InvalidValidationRuleResultData
    extends java.lang.Object

Utility class holding the data of the invalid validation rule result.

### Constructor Summary

Constructors
Constructor and Description
`InvalidValidationRuleResultData(EvalFactory.Eval<java.lang.Object> eval, EditingContextAdapter editingContextAdapter)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`EditingContextAdapter` `getEditingContextAdapter()` Return the editingContextAdapter.
`EvalFactory.Eval<java.lang.Object>` `getEval()` Return the eval.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvalidValidationRuleResultData

    public InvalidValidationRuleResultData(EvalFactory.Eval<java.lang.Object> eval,
                                           EditingContextAdapter editingContextAdapter)

The constructor.

Parameters:
  `eval` - The evaluation environment
  `editingContextAdapter` - The editong context adapter

### Method Detail

#### getEval

    public EvalFactory.Eval<java.lang.Object> getEval()

Return the eval.

Returns:
  the eval

#### getEditingContextAdapter

    public EditingContextAdapter getEditingContextAdapter()

Return the editingContextAdapter.

Returns:
  the editingContextAdapter